RENAME(1)

NOM
rename - Renommer des fichiers

SYNOPSIS
rename [options] expression remplacement fichier ...

DESCRIPTION
rename va renommer les fichiers indiqués en remplaçant la première occurrence d'expression dans leur nom par remplacement.

OPTIONS

-s, --symlink
    Ne pas renommer un lien symbolique mais sa cible.

-v, --verbose
    Montrer les fichiers renommés, s'il y en a.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

EXEMPLES
Pour les fichiers titi1, ..., titi9, titi10, ..., titi278, les commandes

    rename titi titi0 titi?
    rename titi titi0 titi??

les transforment en titi001, ..., titi009, titi010, ..., titi278. Et

    rename .htm .html *.htm

va corriger les extensions des fichiers HTML.

AVERTISSEMENT
Le renommage n'a pas de protection. Si l'utilisateur a le droit de réécrire les noms de fichier, la commande réalisera l'action sans question. Par exemple, le résultat peut être plutôt catastrophique si la commande est lancée en tant que superutilisateur dans le répertoire /lib. Faites toujours une sauvegarde avant de lancer la commande, à moins de vraiment savoir ce que vous faites.

CODES DE RETOUR
    0   Toutes les opérations de renommage demandées ont réussi.
    1   Toutes les opérations de renommage ont échoué.
    2   Certaines opérations de renommage ont échoué.
    4   Rien n’a été renommé.
    64  Une erreur imprévue s'est produite.

VOIR AUSSI
mv(1)

DISPONIBILITÉ
La commande rename fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Alexandre Kuoch <alex DOT kuoch AT gmail DOT com> et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.